Summary: Support funky symlinks to manage a tree of git or other VC repositories
Name: antlink
Version: 1.14
Release: 1%{?dist}
License: GPLv2
Group: Development/Tools
URL: https://ant.isi.edu/software/antlink/
Source0: https://ant.isi.edu/software/antlink/antlink-%{version}.tar.gz
BuildArch: noarch
BuildRequires: perl
BuildRequires: pkgconfig
BuildRequires: bash-completion
BuildRequires: git
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Carp)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::Pipe)
BuildRequires: perl(YAML::XS)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
# next two are needed to run test suites and are not autodetected
Requires: perl(Carp)
Requires: perl(File::Spec)
Requires: perl(File::Basename)
Requires: perl(File::Path)
Requires: perl(File::Temp)
Requires: perl(Getopt::Long)
Requires: perl(IO::Pipe)
# next is in perl-YAML-LibYAML
Requires: perl(YAML::XS)

# from https://lubomir.github.io/en/2016-03-14-TIL-packaging-bash-completion.html
%define compdir %(pkg-config --variable=completionsdir bash-completion)
%if "%{compdir}" == ""
%define compdir "/etc/bash_completion.d"
%endif

%description
Antlink handles trees of repositories,
where a meta-repository can point to other sub-repositories,
some of which are checked out ("cloned") or not.
Repositories stored at the same place can live in a "site",
simplifying their discovery.

%prep
%setup -q -n antlink-%{version}

%build

%install
make install DESTDIR=$RPM_BUILD_ROOT
%if 0%{?rhel}
# el6 and epel7 require a different %doc directory :-(
make install_docs DESTDIR=$RPM_BUILD_ROOT DOCSUBDIR=%{name}-%{version}
%else
make install_docs DESTDIR=$RPM_BUILD_ROOT
%endif
# fix up g+s getting set on directories, and executables being 0555
# (*I* think those are ok, but not rpmlint.)
find $RPM_BUILD_ROOT -type d -exec chmod g-s {} ';'
# find $RPM_BUILD_ROOT -executable -exec chmod 0755 {} ';'
%{_fixperms} %{buildroot}/*

%check
git config --global user.email || git config --global user.email tests-only@example.com
git config --global user.name || git config --global user.name "Tests Only"
git config --global init.defaultBranch || git config --global init.defaultBranch main
make test


%files
%doc README
%doc COPYING
%{_bindir}/*
%{_mandir}/man1/*.1*
# https://www.redhat.com/archives/fedora-packaging/2009-February/msg00101.html
%{compdir}/antlink

%changelog
* Thu Apr 30 2015 John Heidemann <johnh@isi.edu> 1.14-1
- See https://ant.isi.edu/software/antlink/
